#
# spec file for package gnome-web-photo
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-web-photo
Version:        0.10.6
Release:        12.2
Summary:        GNOME Web Photographer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gnome-web-photo/0.10/%{name}-%{version}.tar.xz
BuildRequires:  intltool >= 0.40.6
BuildRequires:  translation-update-upstream
%if 0%{?favor_gtk2}
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(webkit-1.0)
%else
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
%endif
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?favor_gtk2}
%gconf_schemas_prereq
%endif

%description
GNOME Web Photographer is a tool to generate full-size image files and
thumbnails from HTML files and web pages.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
%if 0%{?favor_gtk2}
        --with-gtk=2.0
%else
        --with-gtk=3.0
%endif
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%if 0%{?favor_gtk2}
%find_gconf_schemas
%endif

%clean
rm -rf %{buildroot}

%if 0%{?favor_gtk2}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun
%endif

%if 0%{?favor_gtk2}

%files -f %{name}.schemas_list
%else

%files
%endif
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-web-photo
%{_bindir}/gnome-web-print
%{_bindir}/gnome-web-thumbnail
%{_datadir}/gnome-web-photo/
%if ! (0%{?favor_gtk2})
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gnome-web-photo.thumbnailer
%endif

%files lang -f %{name}.lang

%changelog
* Sun Sep 22 2013 zaitor@opensuse.org
- Drop obsolete xz BuildRequires, no longer needed.
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 0.10.6:
  + Updated translations.
* Sun Dec 25 2011 zaitor@opensuse.org
- Update to version 0.10.5:
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 0.10.4:
  + Add a --disable-plugins option to disable plugins
  + Updated translations.
* Mon Jul 25 2011 vuntz@opensuse.org
- Update to version 0.10.3:
  + Add --delay option, to specify wait time between rendering and
    capturing
* Tue Jul  5 2011 vuntz@opensuse.org
- Update to version 0.10.2:
  + Modernize build system a bit
  + Do not check for gconftool-2 if we build against GTK+ 3
  + Updated translations.
* Sat Jul  2 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires:
  + Old ones: gconf2-devel, gtk2-devel, libwebkit-devel.
  + New ones: gconf-2.0, gtk+-2.0, webkit-1.0.
- Use favor_gtk2 to switch between gtk2 and gtk3 builds. For the
  gtk3 build:
  + Change pkgconfig(gtk+-2.0) and pkgconfig(webkit-1.0)
    BuildRequires to pkgconfig(gtk+-3.0) and
    pkgconfig(webkitgtk-3.0).
  + Drop pkgconfig(gconf-2.0) BuildRequires as gconf is only needed
    for the GNOME 2 build, and drop all the gconf schemas packaging
    machinery.
  + Change --with-gtk=2.0 configure option to --with-gtk=3.0
* Wed Apr  6 2011 fcrozat@novell.com
- Update to version 0.10.1:
  + Updated translations.
* Wed Feb 16 2011 vuntz@opensuse.org
- Update to version 0.10:
  + Features
  - Rewrite using WebKit
  - Add --user-css option, to let user specify a custom CSS
  - Add --printer option, to print the page on a printer
  + Misc
  - Update to non-code files
  - Build fixes
  + Updated translations.
- Drop gnome-web-photo-setup-before-domwindow.patch and
  gnome-web-photo-xulrunner192.patch: upstream has moved to webkit,
  so those are not needed anymore.
- Remove now unneeded BuildRequires: gcc-c++, libjpeg-devel,
  libxml2-devel, mozilla-xulrunner-devel, gnome-common.
- Add libwebkit-devel BuildRequires.
- Do not change LDFLAGS: this was needed for xulrunner.
- Do not call gnome-autogen.sh: we don't have any patch requiring
  this anymore.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Thu Dec  9 2010 vuntz@opensuse.org
- Build against mozilla-xulrunner20-devel on 11.4 and later.
* Fri Jun  4 2010 wr@rosenauer.org
- Add gnome-web-photo-setup-before-domwindow.patch to fix
  compatibility with XULRunner 1.9.2 (bnc#611541).
* Fri Jun  4 2010 vuntz@opensuse.org
- Add gnome-web-photo-xulrunner192.patch to port gnome-web-photo to
  xulrunner192.
- On 11.3 and later, use xulrunner192.
- Add gnome-common BuildRequires and call to gnome-autogen.sh since
  the patch changes some build files.
* Fri Jan 15 2010 wr@rosenauer.org
- Added explicit requires to xulrunner and use rpath
  (bnc#559704)
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 0.9:
  + Build fixes.
* Sun Jul 19 2009 vuntz@novell.com
- Update to version 0.8:
  + Exit when xulrunner startup fails.
* Wed May  6 2009 vuntz@novell.com
- Build against mozilla-xulrunner191 on openSUSE > 11.1.
* Mon Apr 13 2009 mboman@suse.de
- Update to version 0.7:
  + Build fix for xulrunner 1.9.1 (bgo#576674)
- Remove BuildRequires gnome-common
- Don't use autoreconf
- Remove gnome-web-photo-libxul.patch. Fixed upstream
- Remove %%if statements <= 10.2
- Remove Requires mozilla-xulrunner190. Should be automatic
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 0.6:
  + Don't set config.use_system_prefs to true
  + Translation updates
- Drop gnome-web-photo-no-system-prefs.patch: fixed upstream.
- Remove -fno-strict-aliasing from CXXFLAGS.
- Remove checks for old versions of openSUSE.
- Remove AutoReqProv: it's default now.
- Remove unneeded BuildRequires: gnutls-devel, libglade2-devel,
  libgnomeprintui-devel, libgnomeui-devel, libwnck-devel,
  perl-XML-Parser, update-desktop-files.
- Add BuildRequires: gconf2-devel, gtk2-devel, libjpeg-devel,
  libxml2-devel.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Dec 16 2008 coolo@suse.de
- require lang subpackage
* Tue Dec  2 2008 vuntz@novell.com
- Add gnome-web-photo-no-system-prefs.patch to fix bnc#444682. It
  seems gnome-web-photo was able to change some important firefox
  settings.
* Wed Sep  3 2008 mboman@novell.com
- Update to version 0.5:
  + Fix UA string for ff compatibility.
  + Correctly initialize the GdkPixdata pointer so that it's always valid.
    (bnc#395920)
- Removed gnome-web-photo-bnc395920-crash.patch. Fixed upstream.
* Thu Aug 28 2008 jpr@novell.com
- Fix conditional BuildRequires so only mozilla181 is installed
* Wed Jul 23 2008 vuntz@novell.com
- Tag patches.
- Add gnome-web-photo-bnc395920-crash.patch as potential fix for
  bnc#395920.
* Wed May 21 2008 maw@suse.de
- Add gnome-web-photo-libxul.patch (better fix for bnc#381154)
- Cleanup the spec file with respect to xulrunner usage.
* Mon Apr 28 2008 maw@suse.de
- Actually build and run against mozillaxulrunner190 (bnc#381154).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.4:
  + Port to mozilla-xulrunner190.
* Thu Mar  6 2008 jpr@suse.de
- Update to 0.3
  * Renice when thumbnailing
  * Thumbnail application/xhtml+xml files
  * Initialise GThread before calling any glib function
- Remove gnome-web-photo-160795-renice-when-thumbnailing.diff, it
  was upstreamed
- Remove gnome-web-photo-focus.patch, it was upstreamed
- Split off lang package
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed xulrunner dependencies for older products.
* Tue Nov  7 2006 sbrabec@suse.cz
- Use exact xulrunner version 181 (#216100).
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Wed Sep 20 2006 jhargadon@suse.de
- update to version 0.2
- Use the document font gconf key
- Use stock endianness define
- Fix some compile warnings, and add support for xulrunner
    trunk
- Updated from Epiphany: correct gecko version check
    if mozilla-config.h includes other files
* Mon Apr 10 2006 danw@suse.de
- call gtk_window_set_focus_on_map(win, FALSE) to explicitly request
  that the offscreen gecko window not be focused. Part of 160795.
* Tue Apr  4 2006 federico@novell.com
- Added gnome-web-photo-160795-renice-when-thumbnailing.diff as a
  workaround for https://bugzilla.novell.com/show_bug.cgi?id=160795.
  We renice the gnome-web-photo process if it is being used as a thumbnailer.
* Wed Feb  1 2006 jpr@suse.de
- Alter the default config so a working thumbnail command line is used
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 gekker@suse.de
- Update to version 0.1.1
* Mon Oct 31 2005 gekker@suse.de
- Initial import of package 0.1cvs20051031
